Index: /trunk/dports/lang/eero-devel/Portfile
===================================================================
--- /trunk/dports/lang/eero-devel/Portfile	(revision 98669)
+++ /trunk/dports/lang/eero-devel/Portfile	(revision 98670)
@@ -6,5 +6,5 @@
 
 name                    eero-devel
-version                 3.2.2012-07-17
+version                 3.2.2012-10-09
 set llvm_tag            ${version}
 set clang_tag           ${version}
@@ -32,9 +32,9 @@
 
 checksums               [suffix llvm-${llvm_tag}] \
-                        rmd160  1ad939676cde67367f13e6308ac4ae8f0aef88eb \
-                        sha256  b30945051d5071c18855e6af6d95c83aa5d1f74e20c8a782caa4e7253b72bfd9 \
+		                rmd160  73cc2fd993f0cef234ded84f7d4ff6a679eeda6c \
+	                    sha256  746cde14e20d3ca00a62293aaca8258ae3e91638c435780950e25cfd2cf191cb \
                         [suffix clang-${clang_tag}] \
-                        rmd160  aee91aa97ef35cc7d8bf71e5d7331a18298a62d6 \
-                        sha256  e4f5836337b3edc028df4e0674e0b6d539ae99c48cb2cd149415a61c31f06a40
+		                rmd160  361294fdcca73e386aa03a19ee94d007cab198ba \
+	                    sha256  4d652d5df812d8e6d73fada220546a4df020933b3cc9b392560bc07e96e62d7a
 
 dist_subdir             eero
Index: /trunk/dports/lang/eero-devel/files/tiger-shlib.patch
===================================================================
--- /trunk/dports/lang/eero-devel/files/tiger-shlib.patch	(revision 98669)
+++ /trunk/dports/lang/eero-devel/files/tiger-shlib.patch	(revision 98670)
@@ -1,13 +1,10 @@
-diff -Naurp llvm-3.0.src.orig/runtime/libprofile/Makefile llvm-3.0.src/runtime/libprofile/Makefile
---- llvm-3.0.src.orig/runtime/libprofile/Makefile	2011-07-19 16:33:42.000000000 -0700
-+++ llvm-3.0.src/runtime/libprofile/Makefile	2012-04-20 10:01:33.000000000 -0700
-@@ -40,10 +40,12 @@ ifeq ($(HOST_OS),Darwin)
-                          -Wl,-dead_strip \
-                          -Wl,-seg1addr -Wl,0xE0000000 
- 
--    # Mac OS X 10.4 and earlier tools do not allow a second -install_name on
--    # command line.
+--- /runtime/libprofile/Makefile.orig	2012-10-12 14:39:42.000000000 +0200
++++ /runtime/libprofile/Makefile	2012-10-12 14:41:25.000000000 +0200
+@@ -43,7 +43,12 @@
+     # Mac OS X 10.4 and earlier tools do not allow a second -install_name on
+     # command line.
      DARWIN_VERS := $(shell echo $(TARGET_TRIPLE) | sed 's/.*darwin\([0-9]*\).*/\1/')
 -    ifneq ($(DARWIN_VERS),8)
++
 +    ifeq ($(DARWIN_VERS),8)
 +       LLVMLibsOptions    := $(LLVMLibsOptions)  \
@@ -15,10 +12,10 @@
 +                            -Wl,"@executable_path/../lib/lib$(LIBRARYNAME)$(SHLIBEXT)"
 +    else
-        LLVMLibsOptions    := $(LLVMLibsOptions)  \
+        LLVMLibsOptions    := $(LLVMLibsOptions) \
                              -Wl,-install_name \
                              -Wl,"@executable_path/../lib/lib$(LIBRARYNAME)$(SHLIBEXT)"
-diff -Naurp llvm-3.0.src.orig/tools/llvm-shlib/Makefile llvm-3.0.src/tools/llvm-shlib/Makefile
---- llvm-3.0.src.orig/tools/llvm-shlib/Makefile	2011-10-03 17:30:34.000000000 -0700
-+++ llvm-3.0.src/tools/llvm-shlib/Makefile	2012-04-20 10:03:56.000000000 -0700
+
+--- /tools/llvm-shlib/Makefile.orig	2011-10-03 17:30:34.000000000 -0700
++++ /tools/llvm-shlib/Makefile	2012-04-20 10:03:56.000000000 -0700
 @@ -54,9 +54,12 @@ ifeq ($(HOST_OS),Darwin)
                           -Wl,-dead_strip \
@@ -36,7 +33,6 @@
                              -Wl,-install_name \
                              -Wl,"@executable_path/../lib/lib$(LIBRARYNAME)$(SHLIBEXT)"
-diff -Naurp llvm-3.0.src.orig/tools/lto/Makefile llvm-3.0.src/tools/lto/Makefile
---- llvm-3.0.src.orig/tools/lto/Makefile	2011-03-28 17:01:39.000000000 -0700
-+++ llvm-3.0.src/tools/lto/Makefile	2012-04-20 10:04:25.000000000 -0700
+--- /tools/lto/Makefile.orig	2011-03-28 17:01:39.000000000 -0700
++++ /tools/lto/Makefile	2012-04-20 10:04:25.000000000 -0700
 @@ -49,9 +49,12 @@ ifeq ($(HOST_OS),Darwin)
                           -Wl,-dead_strip \