Index: /trunk/dports/science/magicspp/Portfile
===================================================================
--- /trunk/dports/science/magicspp/Portfile	(revision 98784)
+++ /trunk/dports/science/magicspp/Portfile	(revision 98785)
@@ -5,17 +5,16 @@
 
 name                magicspp
-version             2.10.0
-revision            6
+version             2.16.1
 platforms           darwin
-maintainers         nomaintainer
+maintainers         takeshi
 license             Apache-2
 categories          science
 description         ECMWF's Meteorological plotting software
-homepage            http://www.ecmwf.int/products/data/software/magics++.html
-master_sites        http://www.ecmwf.int/products/data/software/download/software_files/
-distname            Magics++-${version}
-checksums           md5     6abfa2bd917073dc12e52f32ce215770 \
-                    sha1    75ad6aa2ee5533789e13ed79d2b4b6e952b72379 \
-                    rmd160  c4e72c984c8a7b119bd56a2aa9dd173360a83574
+homepage            http://software.ecmwf.int/wiki/display/MAGP/Home
+master_sites        https://software.ecmwf.int/wiki/download/attachments/3473464/
+distname            Magics-${version}
+checksums           md5     dbbf37d9780377b97b467a77faa06b50 \
+                    sha1    7fd34fef36244f6c17cf3b324d457b0e57124eb5 \
+                    rmd160  1e7f268bcaf19c8e6bada8e112128ff0701cd099
 long_description \
     Magics++ is the latest generation of the ECMWF's Meteorological plotting \
@@ -28,6 +27,7 @@
     in various formats, such as PostScript, EPS, PDF, GIF, PNG and SVG.
 
-depends_lib         port:grib_api \
-                    port:emos \
+fetch.ignore_sslcert    yes
+
+depends_lib         port:emos \
                     port:netcdf \
                     port:mesa \
@@ -37,5 +37,8 @@
                     port:gd2 \
                     path:lib/pkgconfig/pango.pc:pango \
-                    port:ghostscript
+                    port:ghostscript \
+                    port:boost \
+                    port:proj47 \
+                    port:py27-numpy
 
 use_parallel_build  no
@@ -45,47 +48,34 @@
 }
 
-patchfiles          patch-src-Makefile.in.diff \
-                    patch-configure.diff \
-                    patch-magics-config.in.diff
-post-patch {
-    foreach f {TeDefines.h TeMappedMemory.h TeMutex.h TeThread.h TeThreadSignal.h TeMappedMemory.cpp TeMutex.cpp TeThread.cpp TeThreadSignal.cpp TeUtils.cpp TeRasterMemManager.cpp} {
-        reinplace "s:== TePLATFORMCODE_AIX:== TePLATFORMCODE_AIX || TePLATFORM == TePLATFORMCODE_APPLE:" ${worksrcpath}/src/terralib/kernel/${f}
-    }
-    reinplace "s:\.so:.dylib:" ${worksrcpath}/magics-config.in
-    reinplace "s:gfortran:${configure.f77}:" ${worksrcpath}/magics-config.in
-    reinplace "s:CYGWIN\):CYGWIN) || defined(__APPLE_CC__):" ${worksrcpath}/src/magics.h
-    reinplace "s:__unix__:__unix__ || defined __APPLE__:" ${worksrcpath}/src/terralib/kernel/TeUtils.cpp
-    reinplace "s:FreeBSD__ \):FreeBSD__ ) || defined(__APPLE__):" ${worksrcpath}/src/terralib/kernel/TeUtils.cpp
-}
+patchfiles          patch-src-Makefile.in.diff
 
-configure.env-append        LIBS=\"-lgrib_api -lopenjpeg -lpng\"
-configure.cppflags-append   -I${prefix}/include/freetype2/
+configure.env-append        LIBS=\"-lemosR64"
+
+configure.env-append        PYTHON_VERSION=2.7
+configure.cppflags-append   -I${prefix}/include/freetype2
+configure.ldflags-append    -L${prefix}/lib/proj47/lib
 configure.args-append       --disable-dependency-tracking \
                             --disable-qt \
-                            --disable-json \
                             --enable-cairo \
                             --enable-bufr \
+                            --enable-python \
+                            --enable-proj4 \
+                            --with-proj4=${prefix}/lib/proj47 \
                             --with-grib_api=${prefix} \
                             --with-netcdf=${prefix} \
                             --with-emos-libraries=${prefix}/lib \
-                            --with-gs-font-dir=${prefix}/share/ghostscript/fonts
+                            --with-gs-font-dir=${prefix}/share/ghostscript/fonts \
+                            --with-boost \
+                            --with-boost-libdir=${prefix}/lib
 
 variant gcc43 conflicts gcc44 gcc45 description {for emos +gcc43} {
-    configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lgfortran -lgfortranbegin -lnetcdf_c++ -lnetcdf
     configure.compiler      macports-gcc-4.3
 }
 
 variant gcc44 conflicts gcc43 gcc45 description {for emos +gcc44} {
-    configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lgfortran -lgfortranbegin -lnetcdf_c++ -lnetcdf
     configure.compiler      macports-gcc-4.4
 }
 
 variant gcc45 conflicts gcc43 gcc44 description {for emos +gcc45} {
-    configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lgfortran -lgfortranbegin -lnetcdf_c++ -lnetcdf
     configure.compiler      macports-gcc-4.5
 }
-
-#variant g95 conflicts gcc43 gcc44 description {for emos +g95} {
-#    configure.ldflags-append    -lgrib_api -lopenjpeg -lpng -lemosR64 -lf95 -lnetcdf_c++ -lnetcdf
-#    configure.f77           ${prefix}/bin/g95
-#}
Index: unk/dports/science/magicspp/files/patch-configure.diff
===================================================================
--- /trunk/dports/science/magicspp/files/patch-configure.diff	(revision 98784)
+++ 	(revision )
@@ -1,11 +1,0 @@
---- configure.orig	2010-08-29 21:58:00.000000000 +0900
-+++ configure	2010-08-29 21:59:07.000000000 +0900
-@@ -19906,7 +19906,7 @@
- # FLIBS is determined which Fortran compiler was used for Emoslib!!!
- #
- case "${F77}" in
--	gfortran )
-+	*gfortran* )
- 		FLIBS="-lgfortran"
- 		FFLAGS="${FFLAGS} ${AXX}"
- 		;;
Index: unk/dports/science/magicspp/files/patch-magics-config.in.diff
===================================================================
--- /trunk/dports/science/magicspp/files/patch-magics-config.in.diff	(revision 98784)
+++ 	(revision )
@@ -1,51 +1,0 @@
---- magics-config.in.orig	2010-08-29 21:59:57.000000000 +0900
-+++ magics-config.in	2010-08-29 22:05:06.000000000 +0900
-@@ -6,6 +6,8 @@
- includedir=@includedir@
- F77="@F77@"
- CC="@CC@"
-+CXX="@CXX@"
-+CXXFLAGS="@CXXFLAGS@"
- AXX="@AXX@"
- FFLAGS="@FFLAGS@"
- CPPLIBS="@CPPLIBS@"
-@@ -200,7 +202,7 @@
- fi
- 
- if test "$echo_libs" = "yes"; then
--	if test -f ${libdir}/libMagPlus.so ; then
-+	if test -f ${libdir}/libMagPlus.dylib ; then
- 		my_libs="-L${libdir} -lMagPlus"
- 	else
- 		my_libs="${libdir}/libMagPlus.a"
-@@ -232,7 +234,7 @@
- fi
- 
- if test "$echo_shared" = "yes"; then
--	if test -f ${libdir}/libMagPlus.so ; then
-+	if test -f ${libdir}/libMagPlus.dylib ; then
- 	  shared="${precision} -L${libdir} -lMagPlus @MAGICS_3RDPARTY_LIBS@ $CPPLIBS"
- 	  echo ${shared}
- 	else
-@@ -247,16 +249,17 @@
- if test "$compile" = "yes"; then
- 	out=""
- 	if test "${suffix}x" = "x"; then
--	   suffix="f"
-+	   suffix="o"
- 	fi
- 
--	name="`basename $f77_file .${suffix}`"
-+        name=${f77_file%.*}
- 
- 	if test ${name} != ${f77_file} ; then
- 	      out="-o $name "              ### avoid overriding source file
- 	fi
--	$F77 ${out}$f77_file ${FFLAGS} ${precision} -L${libdir} -Wl,-rpath,${libdir} -lMagPlus @LDFLAGS@ @MAGICS_3RDPARTY_LIBS@ $CPPLIBS
--	echo "$F77 ${out}$f77_file ${FFLAGS} ${precision} -L${libdir} -lMagPlus @LDFLAGS@ @MAGICS_3RDPARTY_LIBS@ $CPPLIBS"
-+       $F77 ${f77_file} -c && \
-+       ${CXX} ${CXXFLAGS} ${out}${name}.o ${FFLAGS} ${precision} -L${libdir} -Wl,-rpath,${libdir} -lMagPlus @LDFLAGS@ @MAGICS_3RDPARTY_LIBS@ $CPPLIBS
-+       echo "$F77 ${f77_file} -c && ${CXX} ${CXXFLAGS} ${out}${name}.o ${FFLAGS} ${precision} -L${libdir} -lMagPlus @LDFLAGS@ @MAGICS_3RDPARTY_LIBS@ $CPPLIBS"
- fi
- 
- if test "$compileC" = "yes"; then
Index: /trunk/dports/science/magicspp/files/patch-src-Makefile.in.diff
===================================================================
--- /trunk/dports/science/magicspp/files/patch-src-Makefile.in.diff	(revision 98784)
+++ /trunk/dports/science/magicspp/files/patch-src-Makefile.in.diff	(revision 98785)
@@ -1,11 +1,11 @@
---- src/Makefile.in.orig	2010-08-29 22:06:01.000000000 +0900
-+++ src/Makefile.in	2010-08-29 22:07:45.000000000 +0900
-@@ -104,7 +104,7 @@
- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
- 	$(AM_CFLAGS) $(CFLAGS)
- CCLD = $(CC)
--LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-+LINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CFLAGS) $(CFLAGS) \
- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
- SOURCES = $(libMagPlusDouble_a_SOURCES) $(libMagPlusSingle_a_SOURCES) \
- 	$(libMagPlus_la_SOURCES)
+--- src/Makefile.in.orig	2012-08-14 18:05:29.000000000 +0900
++++ src/Makefile.in	2012-10-15 06:07:04.000000000 +0900
+@@ -719,7 +719,7 @@
+ 	  rm -f "$${dir}/so_locations"; \
+ 	done
+ libMagPlus.la: $(libMagPlus_la_OBJECTS) $(libMagPlus_la_DEPENDENCIES) 
+-	$(AM_V_CCLD)$(libMagPlus_la_LINK) -rpath $(libdir) $(libMagPlus_la_OBJECTS) $(libMagPlus_la_LIBADD) $(LIBS)
++	$(AM_V_CCLD)$(libMagPlus_la_LINK) -rpath $(libdir) $(libMagPlus_la_OBJECTS) $(libMagPlus_la_LIBADD) $(LIBS) $(FLIBS)
+ 
+ mostlyclean-compile:
+ 	-rm -f *.$(OBJEXT)