Index: /trunk/dports/net/libproxy/Portfile
===================================================================
--- /trunk/dports/net/libproxy/Portfile	(revision 98906)
+++ /trunk/dports/net/libproxy/Portfile	(revision 98907)
@@ -3,9 +3,8 @@
 
 PortSystem          1.0
-PortGroup           archcheck 1.0
 PortGroup           cmake 1.0
 
 name                libproxy
-version             0.4.7
+version             0.4.10
 epoch               1
 license             LGPL-2.1
@@ -24,8 +23,14 @@
                     the details, enabling you to get back to programming.
 
-checksums           sha1    b01ebbdf837babf63f38ee34e261d76f23dad319 \
-                    rmd160  a09c8320cbabed23c84ceddf3c9b572cf89c9c0e
+checksums           rmd160  4444521adbe165f734041c6d23ddc4a1b666a98a \
+                    sha256  023e3c1023c522333ac4c414e9cb6db05bc564d3e5d30570e2db07aac100c635
 
-patchfiles          patch-libproxy-cmake.diff
+pre-patch {
+    copy ${worksrcpath}/libproxy/cmake ${worksrcpath}/libproxy/cmake.orig
+    copy ${worksrcpath}/libproxy/test/CMakeLists.txt ${worksrcpath}/libproxy/test/CMakeLists.txt.orig
+}
+
+patchfiles          patch-libproxy-cmake.diff \
+                    patch-libproxy-test-CMakeLists.txt.diff
 
 depends_build-append \
@@ -44,6 +49,6 @@
     set python_prefix ${frameworks_dir}/Python.framework/Versions/2.7
     depends_lib-append port:python27
-    configure.python ${prefix}/bin/python2.7
     configure.args-append \
+                    -DPYTHON_EXECUTABLE=${prefix}/bin/python2.7 \
                     -DPYTHON_SITEPKG_DIR=${python_prefix}/lib/python2.7/site-packages
 }
@@ -55,4 +60,5 @@
     configure.python ${prefix}/bin/python2.6
     configure.args-append \
+                    -DPYTHON_EXECUTABLE=${prefix}/bin/python2.6 \
                     -DPYTHON_SITEPKG_DIR=${python_prefix}/lib/python2.6/site-packages
 }
@@ -70,14 +76,18 @@
 #
 
+use_parallel_build no
+
 configure.args-append \
+                    -DMP_MACOSX=NO \
                     -DWITH_GNOME2=YES \
                     -DWITH_GNOME3=NO \
                     -DWITH_KDE4=NO \
                     -DWITH_WEBKIT=NO \
+                    -DWITH_WEBKIT3=NO \
                     -DWITH_VALA=NO \
                     -DWITH_PERL=YES \
                     -DWITH_PYTHON=YES
 
-variant no_gnome description {Disable GNOME plugin} {
+variant no_gnome description {Disable GNOME2 plugin} {
         configure.args-delete -DWITH_GNOME2=YES
         configure.args-append -DWITH_GNOME2=NO
@@ -87,5 +97,6 @@
 variant kde description {Enable KDE4 plugin} {
         configure.args-delete -DWITH_KDE4=NO
-        configure.args-append -DWITH_KDE4=YES
+        configure.args-append -DWITH_KDE4=YES \
+                              -DQT_QT_INCLUDE_DIR=${prefix}/include/QtCore
         depends_lib-append port:kdelibs4
 }
Index: /trunk/dports/net/libproxy/files/patch-libproxy-cmake.diff
===================================================================
--- /trunk/dports/net/libproxy/files/patch-libproxy-cmake.diff	(revision 98906)
+++ /trunk/dports/net/libproxy/files/patch-libproxy-cmake.diff	(revision 98907)
@@ -1,17 +1,20 @@
-diff -ur libproxy/cmake.orig/devfiles.cmk libproxy/cmake/devfiles.cmk
---- libproxy/cmake.orig/devfiles.cmk	2011-06-06 14:44:37.000000000 -0700
-+++ libproxy/cmake/devfiles.cmk	2011-09-16 16:12:57.000000000 -0700
-@@ -1,4 +1,4 @@
--if(NOT WIN32 AND NOT APPLE)
-+if(NOT WIN32 AND NOT (APPLE AND MP_QUARTZ))
-   # PkgConfig file
-   set (PKGCONFIG_PREFIX ${CMAKE_INSTALL_PREFIX})
-   
+diff -ur libproxy/cmake.orig/libproxy.cmk libproxy/cmake/libproxy.cmk
+--- libproxy/cmake.orig/libproxy.cmk	2012-10-02 07:20:40.000000000 -0700
++++ libproxy/cmake/libproxy.cmk	2012-10-19 13:47:50.000000000 -0700
+@@ -18,7 +18,7 @@
+ set_property(SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/proxy.cpp
+              PROPERTY COMPILE_DEFINITIONS MODULEDIR="${MODULEDIR}";BUILTIN_MODULES=${BUILTIN_MODULES})
+ # When changing the SOVERSION here remember to also bump the 'favorite proxy .so' in python bindings.
+-set_target_properties(libproxy PROPERTIES PREFIX "" VERSION 1.0.0 SOVERSION 1)
++set_target_properties(libproxy PROPERTIES INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib" PREFIX "" VERSION 1.0.0 SOVERSION 1)
+ set_target_properties(libproxy PROPERTIES LINK_INTERFACE_LIBRARIES "")
+ install(TARGETS libproxy DESTINATION ${LIB_INSTALL_DIR})
+ install(FILES   proxy.h  DESTINATION ${INCLUDE_INSTALL_DIR})
 diff -ur libproxy/cmake.orig/modules/config_envvar.cmk libproxy/cmake/modules/config_envvar.cmk
---- libproxy/cmake.orig/modules/config_envvar.cmk	2011-06-06 14:44:37.000000000 -0700
-+++ libproxy/cmake/modules/config_envvar.cmk	2011-09-16 16:12:57.000000000 -0700
+--- libproxy/cmake.orig/modules/config_envvar.cmk	2010-06-14 10:40:47.000000000 -0700
++++ libproxy/cmake/modules/config_envvar.cmk	2012-10-19 13:45:42.000000000 -0700
 @@ -1,3 +1,3 @@
 -if (NOT WIN32 AND NOT APPLE)
-+if (NOT WIN32 AND NOT (APPLE AND MP_QUARTZ))
++if (NOT WIN32 AND NOT (APPLE AND MP_MACOSX))
    set(ENVVAR_FOUND 1)
 -endif()
@@ -19,18 +22,18 @@
 +endif()
 diff -ur libproxy/cmake.orig/modules/config_gnome.cmk libproxy/cmake/modules/config_gnome.cmk
---- libproxy/cmake.orig/modules/config_gnome.cmk	2011-06-06 14:44:37.000000000 -0700
-+++ libproxy/cmake/modules/config_gnome.cmk	2011-09-16 16:15:31.000000000 -0700
+--- libproxy/cmake.orig/modules/config_gnome.cmk	2012-10-02 07:20:40.000000000 -0700
++++ libproxy/cmake/modules/config_gnome.cmk	2012-10-19 13:45:42.000000000 -0700
 @@ -1,4 +1,4 @@
 -if (NOT WIN32 AND NOT APPLE)
-+if (NOT WIN32 AND NOT (APPLE AND MP_QUARTZ))
++if (NOT WIN32 AND NOT (APPLE AND MP_MACOSX))
+   option(WITH_GNOME2 "Target a GNOME 2 system (gconf)" OFF)
    option(WITH_GNOME3 "Target a GNOME 3 system (gsettings)" ON)
    if(WITH_GNOME3)
-     px_check_modules(GNOME3 gio-2.0>=2.26 gobject-2.0)
 diff -ur libproxy/cmake.orig/modules/config_kde4.cmk libproxy/cmake/modules/config_kde4.cmk
---- libproxy/cmake.orig/modules/config_kde4.cmk	2011-06-06 14:44:37.000000000 -0700
-+++ libproxy/cmake/modules/config_kde4.cmk	2011-09-16 16:12:57.000000000 -0700
+--- libproxy/cmake.orig/modules/config_kde4.cmk	2010-06-14 10:40:47.000000000 -0700
++++ libproxy/cmake/modules/config_kde4.cmk	2012-10-19 13:45:42.000000000 -0700
 @@ -1,4 +1,4 @@
 -if (NOT WIN32 AND NOT APPLE)
-+if (NOT WIN32 AND NOT (APPLE AND MP_QUARTZ))
++if (NOT WIN32 AND NOT (APPLE AND MP_MACOSX))
    option(WITH_KDE4 "Search for KDE4 package" ON)
    if (WITH_KDE4)
@@ -44,9 +47,9 @@
 +endif()
 diff -ur libproxy/cmake.orig/modules/config_macosx.cmk libproxy/cmake/modules/config_macosx.cmk
---- libproxy/cmake.orig/modules/config_macosx.cmk	2011-06-06 14:44:37.000000000 -0700
-+++ libproxy/cmake/modules/config_macosx.cmk	2011-09-16 16:12:57.000000000 -0700
+--- libproxy/cmake.orig/modules/config_macosx.cmk	2010-06-14 10:40:47.000000000 -0700
++++ libproxy/cmake/modules/config_macosx.cmk	2012-10-19 13:45:42.000000000 -0700
 @@ -1,4 +1,4 @@
 -if(APPLE)
-+if(APPLE AND MP_QUARTZ)
++if(APPLE AND MP_MACOSX)
    find_library(SC_LIBRARIES SystemConfiguration)
    find_library(CF_LIBRARIES CoreFoundation)
@@ -60,6 +63,6 @@
 +endif()
 diff -ur libproxy/cmake.orig/modules/pacrunner_webkit.cmk libproxy/cmake/modules/pacrunner_webkit.cmk
---- libproxy/cmake.orig/modules/pacrunner_webkit.cmk	2011-06-06 14:44:37.000000000 -0700
-+++ libproxy/cmake/modules/pacrunner_webkit.cmk	2011-09-16 16:19:47.000000000 -0700
+--- libproxy/cmake.orig/modules/pacrunner_webkit.cmk	2012-10-02 07:20:40.000000000 -0700
++++ libproxy/cmake/modules/pacrunner_webkit.cmk	2012-10-19 13:45:42.000000000 -0700
 @@ -6,7 +6,7 @@
      link_directories(WEBKIT_LIBRARIES)
@@ -67,14 +70,14 @@
    endif()
 -elseif(APPLE)
-+elseif(APPLE AND MP_QUARTZ)
++elseif(APPLE AND MP_MACOSX)
    find_library(WEBKIT_LIBRARIES JavaScriptCore)
    if(WEBKIT_LIBRARIES)
      set(WEBKIT_FOUND 1)
 diff -ur libproxy/cmake.orig/pkgconfig.cmk libproxy/cmake/pkgconfig.cmk
---- libproxy/cmake.orig/pkgconfig.cmk	2011-06-06 14:44:37.000000000 -0700
-+++ libproxy/cmake/pkgconfig.cmk	2011-09-16 16:12:57.000000000 -0700
+--- libproxy/cmake.orig/pkgconfig.cmk	2012-10-02 07:20:40.000000000 -0700
++++ libproxy/cmake/pkgconfig.cmk	2012-10-19 13:45:42.000000000 -0700
 @@ -1,4 +1,4 @@
 -if(NOT WIN32 AND NOT APPLE)
-+if(NOT WIN32 AND NOT (APPLE AND MP_QUARTZ))
++if(NOT WIN32 AND NOT (APPLE AND MP_MACOSX))
    find_package(PkgConfig)
  
Index: /trunk/dports/net/libproxy/files/patch-libproxy-test-CMakeLists.txt.diff
===================================================================
--- /trunk/dports/net/libproxy/files/patch-libproxy-test-CMakeLists.txt.diff	(revision 98907)
+++ /trunk/dports/net/libproxy/files/patch-libproxy-test-CMakeLists.txt.diff	(revision 98907)
@@ -0,0 +1,11 @@
+--- libproxy/test/CMakeLists.txt.orig	2012-10-15 13:32:00.000000000 -0700
++++ libproxy/test/CMakeLists.txt	2012-10-19 15:08:49.000000000 -0700
+@@ -19,7 +19,7 @@
+ add_test(NAME url-encode COMMAND ${CMAKE_CURRENT_BINARY_DIR}/url-encode)
+ 
+ # Get PAC
+-if (NOT WIN32)
++if (NOT WIN32 AND NOT APPLE)
+ add_executable(get-pac-test ${CMAKE_CURRENT_SOURCE_DIR}/get-pac-test.cpp ${PROJECT_SOURCE_DIR}/url.cpp)
+ target_link_libraries(get-pac-test pthread)
+ add_test(NAME get-pac-test COMMAND ${CMAKE_CURRENT_BINARY_DIR}/get-pac-test)