Index: /trunk/dports/emulators/virtualbox/Portfile
===================================================================
--- /trunk/dports/emulators/virtualbox/Portfile	(revision 99020)
+++ /trunk/dports/emulators/virtualbox/Portfile	(revision 99021)
@@ -5,9 +5,9 @@
 
 name                virtualbox
-version             4.2.0
+version             4.2.2
 # Note: On virtualbox version changes please update the checksums of all
 # subports, and update extension_pack_build to match the current build
 # of the extension pack.
-set extension_pack_build   80737
+set extension_pack_build   81494
 
 categories          emulators
@@ -48,6 +48,6 @@
     use_bzip2           yes
 
-    checksums           rmd160  9ed426203e6e01a27ce791ec83a89d1133d20f88 \
-                        sha256  895426ecac371bef4c070e8bcc9306f0c57dcbd6be25188d915b63ddde6f49e6
+    checksums           rmd160  628e3d86d5467fd42429d4893d30ab8a53e9ef13 \
+                        sha256  943daa13694605d5d0a23ffef27c398b5e72ada669de89bad4b98f000f029700
 
     depends_lib-append          port:curl \
@@ -59,5 +59,6 @@
 
     patchfiles                  patch-build.diff \
-                                patch-startup.diff
+                                patch-startup.diff \
+                                patch-translations.diff
 
     configure.compiler          gcc-4.2
@@ -88,4 +89,5 @@
     set kext_dir                /Library/Extensions
     set startup_items_dir       /Library/StartupItems
+
     post-patch {
         if {[vercmp $xcodeversion "4.4"] >= 0} {
@@ -109,4 +111,9 @@
     }
 
+    pre-build {
+        # While sandboxing is nice and all, the build behavior of VirtualBox is too unorthodox.
+        set portsandbox_profile ""
+    }
+
     destroot {
 
@@ -207,6 +214,6 @@
     distfiles               VBoxGuestAdditions_${version}.iso
 
-    checksums               rmd160  8bd5fd7f0c96f62fd9a5a328aa285f9bdf89e937 \
-                            sha256  ef274ecdcb48adec469656959e51c8468b6d3a7733ddf93f9a3713f77f1604f3
+    checksums               rmd160  d4d3fff56a6f356a96ee80c24adf37256355cb3b \
+                            sha256  26f5390b36a3bb9855846d194dcd287b8e53613b599c6ffd7aff1b451cc7f1f1
 
     depends_run             port:virtualbox
@@ -264,6 +271,6 @@
     distname            ${name_extpack}-${version}
 
-    checksums           rmd160  52629c70a7dff3c0d760eee167fe999aea9d049c \
-                        sha256  18055795fa95d3a49ac00fd7e5009113d871a0c87a5e0f864f88c4eeb3222218
+    checksums           rmd160  00c31eb90e945d46f2489804f0e853c1fe700485 \
+                        sha256  2a0824a7f6b93842feb13fe15de16a1bb33c9221116d62ce759eed6878169c2b
 
     worksrcdir          ${name_extpack}
Index: /trunk/dports/emulators/virtualbox/files/patch-apple-gcc42.diff
===================================================================
--- /trunk/dports/emulators/virtualbox/files/patch-apple-gcc42.diff	(revision 99020)
+++ /trunk/dports/emulators/virtualbox/files/patch-apple-gcc42.diff	(revision 99021)
@@ -1,5 +1,5 @@
 --- Config.kmk.orig	2012-08-19 17:42:19.000000000 -0500
 +++ Config.kmk	2012-08-19 17:42:19.000000000 -0500
-@@ -1913,10 +1913,8 @@
+@@ -1897,10 +1897,8 @@
     $(error VBox: 64-bit darwin builds require Xcode 3.2 or later, you have $(VBOX_XCODE_VERSION))
    endif
Index: /trunk/dports/emulators/virtualbox/files/patch-build.diff
===================================================================
--- /trunk/dports/emulators/virtualbox/files/patch-build.diff	(revision 99020)
+++ /trunk/dports/emulators/virtualbox/files/patch-build.diff	(revision 99021)
@@ -1,5 +1,5 @@
 --- Config.kmk.orig	2012-06-20 08:07:42.000000000 -0500
 +++ Config.kmk	2012-08-19 05:22:48.000000000 -0500
-@@ -1130,7 +1130,7 @@
+@@ -1132,7 +1132,7 @@
  # of VirtualBox binaries.  We request though that you always use something that
  # clearly identifies your build and makes it clear that it is not one done by
@@ -10,5 +10,5 @@
  
  # Keep in sync with G_virtualBoxPackage in glue-jaxws.xsl and glue-java.xsl
-@@ -1874,7 +1874,11 @@
+@@ -1858,7 +1858,11 @@
    endif
    VBOX_PATH_MACOSX_SDK ?= $(VBOX_PATH_MACOSX_SDK_ROOT)/MacOSX$(VBOX_DEF_MACOSX_VERSION_MIN)u.sdk
@@ -23,5 +23,5 @@
  
   ## The Xcode version.
-@@ -1968,6 +1972,13 @@
+@@ -1952,6 +1956,13 @@
   endif
  
@@ -37,5 +37,5 @@
    VBOX_DARWIN_DEF_SDK_10_6_DEFS        := MAC_OS_X_VERSION_MIN_REQUIRED=1060 MAC_OS_X_VERSION_MAX_ALLOWED=1060
    VBOX_DARWIN_DEF_SDK_10_6_CFLAGS      := -mmacosx-version-min=10.6 -isysroot $(VBOX_PATH_MACOSX_SDK_10_6)
-@@ -1986,7 +1997,7 @@
+@@ -1970,7 +1981,7 @@
     ifneq ($(wildcard $(VBOX_PATH_MACOSX_SDK_ROOT)/MacOSX10.7.sdk),)
      VBOX_PATH_MACOSX_SDK_10_7           = $(VBOX_PATH_MACOSX_SDK_ROOT)/MacOSX10.7.sdk
@@ -46,5 +46,5 @@
    endif
    VBOX_DARWIN_DEF_SDK_10_7_DEFS        := MAC_OS_X_VERSION_MIN_REQUIRED=1070 MAC_OS_X_VERSION_MAX_ALLOWED=1070
-@@ -2166,22 +2177,22 @@
+@@ -2150,22 +2161,22 @@
  VBOX_GCC32_CHECK_CXX = $(2)
  else
@@ -73,5 +73,5 @@
     else echo "$(2)"; fi; )
  endif
-@@ -4214,25 +4225,6 @@
+@@ -4202,25 +4213,6 @@
   # be cleaned up properly later some time (not important now).
   #
@@ -105,12 +105,12 @@
 +VBOX_DARWIN_NO_COMPACT_LINKEDIT =
 +VBOX_MACOS_10_5_WORKAROUND =
-+VBOX_PATH_APP_DOCS="@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
-+VBOX_PATH_APP_PRIVATE="@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
-+VBOX_PATH_APP_PRIVATE_ARCH="@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
-+VBOX_PATH_SHARED_LIBS="@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
++VBOX_PATH_APP_DOCS = "@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
++VBOX_PATH_APP_PRIVATE = "@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
++VBOX_PATH_APP_PRIVATE_ARCH = "@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
++VBOX_PATH_SHARED_LIBS = "@APPLICATIONS_DIR@/VirtualBox.app/Contents/MacOS"
 +VBOX_WITH_MULTIVERSION_PYTHON = 1
-+VBOX_WITH_TESTSUITE=
-+VBOX_WITH_TESTCASES=
-+kBuildGlobalDefaults_LD_DEBUG=
++VBOX_WITH_TESTSUITE =
++VBOX_WITH_TESTCASES =
++kBuildGlobalDefaults_LD_DEBUG =
 --- Makefile.kmk.orig	2011-08-15 19:38:16.000000000 -0500
 +++ Makefile.kmk	2011-08-15 19:38:16.000000000 -0500
@@ -171,5 +171,5 @@
 --- configure.orig	2011-08-15 19:38:16.000000000 -0500
 +++ configure	2011-08-15 19:38:16.000000000 -0500
-@@ -1074,21 +1074,6 @@
+@@ -1013,21 +1013,6 @@
  check_sdl()
  {
@@ -193,5 +193,5 @@
        FLGSDL=`sdl-config --cflags`
        INCSDL=`strip_I "$FLGSDL"`
-@@ -1097,7 +1082,6 @@
+@@ -1036,7 +1021,6 @@
        FLDSDL=
        foundsdl=1
@@ -201,5 +201,5 @@
    if [ -n "$foundsdl" ]; then
      cat > $ODIR.tmp_src.cc << EOF
-@@ -1445,53 +1429,20 @@
+@@ -1384,53 +1368,20 @@
  {
    foundqt4=
@@ -255,5 +255,5 @@
                pkg-config QtCore --libs`
            foundqt4=1
-@@ -1533,7 +1484,6 @@
+@@ -1472,7 +1423,6 @@
          fi
        done
@@ -263,5 +263,5 @@
      cat > $ODIR.tmp_src.cc << EOF
  #include <cstdio>
-@@ -1553,21 +1503,6 @@
+@@ -1492,21 +1442,6 @@
      [ -n "$INCQT4" ] && I_INCQT4=`prefix_I "$INCQT4"`
      if test_compile "$LIBQT4 $LIBPTHREAD $I_INCQT4 $FLGQT4" qt4 qt4 nofatal; then
@@ -285,5 +285,5 @@
            INCQT4=`echo "$INCQT4"|$KBUILD_SED 's|\([^ ]*\)/QtCore|\1|g; s| $||g'`
            # store only the first path, remove all other pathes
-@@ -1613,7 +1548,6 @@
+@@ -1552,7 +1487,6 @@
                fi
              fi
@@ -293,5 +293,5 @@
      else
        log_failure "qt4 not working"
-@@ -2071,19 +2005,55 @@
+@@ -2011,19 +1945,55 @@
    test_header "Darwin version"
    darwin_ver=`uname -r`
@@ -353,5 +353,5 @@
        fi
  #      test "$CC" = "gcc" && CC="gcc-4.0"
-@@ -2279,7 +2249,7 @@
+@@ -2219,7 +2189,7 @@
      --with-openssl-dir=*)
        OPENSSLDIR=`echo $option | cut -d'=' -f2`
Index: /trunk/dports/emulators/virtualbox/files/patch-translations.diff
===================================================================
--- /trunk/dports/emulators/virtualbox/files/patch-translations.diff	(revision 99021)
+++ /trunk/dports/emulators/virtualbox/files/patch-translations.diff	(revision 99021)
@@ -0,0 +1,20 @@
+--- src/VBox/Frontends/VirtualBox/nls/ApprovedLanguages.kmk.orig	2012-10-23 21:39:24.000000000 -0400
++++ src/VBox/Frontends/VirtualBox/nls/ApprovedLanguages.kmk	2012-10-23 21:39:24.000000000 -0400
+@@ -23,7 +23,6 @@
+ 	de    \
+ 	en    \
+ 	es    \
+-	fa_IR \
+ 	hu    \
+ 	it    \
+ 	ja    \
+--- src/VBox/Frontends/VirtualBox/VBoxUI.pro.orig	2012-10-23 21:39:24.000000000 -0400
++++ src/VBox/Frontends/VirtualBox/VBoxUI.pro	2012-10-23 21:39:24.000000000 -0400
+@@ -63,7 +63,6 @@
+ 	nls/VirtualBox_es.ts \
+ 	nls/VirtualBox_eu.ts \
+ 	nls/VirtualBox_fi.ts \
+-	nls/VirtualBox_fa_IR.ts \
+ 	nls/VirtualBox_fr.ts \
+ 	nls/VirtualBox_gl_ES.ts \
+ 	nls/VirtualBox_hu.ts \
Index: /trunk/dports/emulators/virtualbox/files/patch-vde.diff
===================================================================
--- /trunk/dports/emulators/virtualbox/files/patch-vde.diff	(revision 99020)
+++ /trunk/dports/emulators/virtualbox/files/patch-vde.diff	(revision 99021)
@@ -1,5 +1,5 @@
 --- configure.orig	2011-08-15 19:38:16.000000000 -0500
 +++ configure	2011-08-15 19:38:16.000000000 -0500
-@@ -2602,7 +2602,7 @@
+@@ -2540,7 +2540,7 @@
  fi
  