Index: /trunk/dports/kde/ark/Portfile
===================================================================
--- /trunk/dports/kde/ark/Portfile	(revision 99055)
+++ /trunk/dports/kde/ark/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                ark
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -19,6 +18,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  34e8731c0f05371cbed9477dd8a8b0146c530609 \
-                    sha256  c6e62c41c19910a4ca397fa1711c503cfce3689ccc7ed38d8e0eaf7ccd3810fb
+checksums           rmd160  8aa48c2e4382bf7f2be39632811e30ae5cd53a04 \
+                    sha256  4b4b71451ba0d1a793dfef03bf6ed0d8a3c9d1ba7904504a8b33ce622dc952d8
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kcalc/Portfile
===================================================================
--- /trunk/dports/kde/kcalc/Portfile	(revision 99055)
+++ /trunk/dports/kde/kcalc/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                kcalc
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -20,6 +19,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  4870d74240c5a136bb4e8ff0e028ec9a1e85eaac \
-                    sha256  7ec1cb93836be26bf6785ea9cafdaf78a7b4c7852cbb52f232a35657ed84ac64
+checksums           rmd160  62efe02d900888ba63377bc9d223719fe64dd9a8 \
+                    sha256  befc43fb12e84f6c8bc16720321e6ed4bc8e1de06b642fc13e70fe442be9f053
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kcharselect/Portfile
===================================================================
--- /trunk/dports/kde/kcharselect/Portfile	(revision 99055)
+++ /trunk/dports/kde/kcharselect/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                kcharselect
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -20,6 +19,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  32727c7eeeb2b2aaa4177bc3adb8d75e7e9cd71d \
-                    sha256  4ee537efe95c49db70665c7e7dc9ec1e402e938384e060d40bce742c141c6377
+checksums           rmd160  8d2ff25121e46a9f6aa700918c138149cc4e8aa3 \
+                    sha256  268b8c1a0173365067e7ab5af1265bf42f12287eb31914600b1f1c7b4b1a9c59
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kde4-filelight/Portfile
===================================================================
--- /trunk/dports/kde/kde4-filelight/Portfile	(revision 99055)
+++ /trunk/dports/kde/kde4-filelight/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                kde4-filelight
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -21,6 +20,6 @@
 use_xz              yes
 distname            filelight-${version}
-checksums           rmd160  96e8abe1475e2a812e509048ff2f2d1bf36d0e6c \
-                    sha256  d13c307ef86e43fd884b08da76ae66ac4a666e09b777fbc6e1777f44ed35904f
+checksums           rmd160  78eb453218ac55024104cc7527dc416b4d3a19fb \
+                    sha256  7ea754f2449676b075d44986895a639cc2c402c5539d103e08e56a66e289f852
 
 patchfiles          fix-filelight-mounts.diff \
Index: /trunk/dports/kde/kdeutils4/Portfile
===================================================================
--- /trunk/dports/kde/kdeutils4/Portfile	(revision 99055)
+++ /trunk/dports/kde/kdeutils4/Portfile	(revision 99056)
@@ -6,5 +6,5 @@
 
 name                kdeutils4
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky nicos
Index: /trunk/dports/kde/kdiskfree/Portfile
===================================================================
--- /trunk/dports/kde/kdiskfree/Portfile	(revision 99055)
+++ /trunk/dports/kde/kdiskfree/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                kdiskfree
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -21,6 +20,6 @@
 use_xz              yes
 distname            kdf-${version}
-checksums           rmd160  aa10e985c09d23c37f7d673755ddd7e9f644f543 \
-                    sha256  aa59ae1e057f03bbd88eee97d1f87eab1314968cef0533718d3adc84d1895f3d
+checksums           rmd160  043fa22626458d07c8543f73f70329a531674117 \
+                    sha256  7ca89475dbf65bd9d11165786d75c25f556bdf11b4e9bcafa0248d50c9e5c8ec
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kfloppy/Portfile
===================================================================
--- /trunk/dports/kde/kfloppy/Portfile	(revision 99055)
+++ /trunk/dports/kde/kfloppy/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                kfloppy
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -19,6 +18,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  15cd609d758f238225f1cc032efe203201afefa3 \
-                    sha256  40d150af9e72b59bb2174f4d832c1d0d01fd5a7ff977ea7c6f11d969611a275b
+checksums           rmd160  d33dee552ea823d73db042020437a983a95b63ea \
+                    sha256  c2a346eea6bc4edd69caa2b4c067ce3960013eefaed87779bd810495cb68a50f
 
 patchfiles          patch-format.cpp.diff
Index: /trunk/dports/kde/kgpg/Portfile
===================================================================
--- /trunk/dports/kde/kgpg/Portfile	(revision 99055)
+++ /trunk/dports/kde/kgpg/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                kgpg
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -19,6 +18,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  a2705cbd8e441ef04bd7e8bdbf3ac082c531a921 \
-                    sha256  07de8184c70201cbe77b5193033da840523f8dcaf90144d603e45c88da5c8cbf
+checksums           rmd160  3c0fdcdbe0120e9877a184687064cc5970c7bb1f \
+                    sha256  3fee3e11a29b7bd5219a9c144e2ebc363474d257b9740b28ad4712aee9df3f9b
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/ktimer/Portfile
===================================================================
--- /trunk/dports/kde/ktimer/Portfile	(revision 99055)
+++ /trunk/dports/kde/ktimer/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                ktimer
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -19,6 +18,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  fdc1f9ff045a77741fc51a38d72e240d17df7845 \
-                    sha256  e2430d1a18e8ab089bb7e59319dc1540767affb228d242a2ed6c75b7c2654d6f
+checksums           rmd160  f4f9e7e7504b92e7b8610a153a71a83791a93c17 \
+                    sha256  d9ffe168eb4fad22a62a884491b890ae04edb506618480765901f47c24959ee3
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kwallet/Portfile
===================================================================
--- /trunk/dports/kde/kwallet/Portfile	(revision 99055)
+++ /trunk/dports/kde/kwallet/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                kwallet
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -19,6 +18,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  9ebbda721cd8d8afb877d393470ddd65fd573927 \
-                    sha256  e1563521af47c83172384a267877837877033152b75691b1c79f1f5c9fa7026e
+checksums           rmd160  6d9d18efe0ca7fccd25267a61c6cfc1570951ae9 \
+                    sha256  acea28e35f0a91c3d6e13946ac84063b426aad1b6edc4a7ea9c89e82f84e4107
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/sweeper/Portfile
===================================================================
--- /trunk/dports/kde/sweeper/Portfile	(revision 99055)
+++ /trunk/dports/kde/sweeper/Portfile	(revision 99056)
@@ -6,6 +6,5 @@
 
 name                sweeper
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -19,6 +18,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  7b6780cfd8cf711125cf3f8275e266c72cde4b65 \
-                    sha256  08a30e03af4e3baaefeddca46a86e6ec514cbaf76173e59e908947354dae2836
+checksums           rmd160  36eef5d87e8fc7a2e1a0b10897234f7cbfa08f91 \
+                    sha256  28680305e04c4e9c74a3909ca1f159d093f1234f7ba2aca40116093812422e8f
 
 depends_lib-append  port:kdelibs4 \