Index: /trunk/dports/kde/gwenview/Portfile
===================================================================
--- /trunk/dports/kde/gwenview/Portfile	(revision 99056)
+++ /trunk/dports/kde/gwenview/Portfile	(revision 99057)
@@ -6,6 +6,5 @@
 
 name                gwenview
-version             4.8.3
-revision            2
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -18,6 +17,6 @@
 use_xz              yes
 distname            gwenview-${version}
-checksums           rmd160  fca887826076c44d99abdb554273fca37b2d2b3b \
-                    sha256  65c04256b47fc9a648aae57f210672633ca2cfa1db93eb147fab0fda25d98423
+checksums           rmd160  fa320a95123fefead1f58b90867afbec19d31e80 \
+                    sha256  daba1d0fa79970b602a421dae479d8e05a7af895a4ee16de7e2583d0276c14c5
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kamera/Portfile
===================================================================
--- /trunk/dports/kde/kamera/Portfile	(revision 99056)
+++ /trunk/dports/kde/kamera/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                kamera
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -17,6 +17,6 @@
 use_xz              yes
 distname            kamera-${version}
-checksums           rmd160  40ea4f200085e753601715f8adca2ee92891b683 \
-                    sha256  8936ade1f311155cf2640d29e34940cd2a8c1b89aa511591abd0b2017f36b64d
+checksums           rmd160  4b8e9130923809ea1dbe73332224f9a3c20651bd \
+                    sha256  b726026eecd0835672092bc09fb66e8d2b493373ae61bbefd1439f423169486a
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kcolorchooser/Portfile
===================================================================
--- /trunk/dports/kde/kcolorchooser/Portfile	(revision 99056)
+++ /trunk/dports/kde/kcolorchooser/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                kcolorchooser
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             MIT
@@ -17,6 +17,6 @@
 use_xz              yes
 distname            kcolorchooser-${version}
-checksums           rmd160  c38c21819635e2db6fa713c9f7adcd722c8ed5f0 \
-                    sha256  19681af9f09b09dc60cbe4b61a86af3f6212095ad8b1ac459e52379bc887ddb7
+checksums           rmd160  684b22dd90522e02103282f22f65e75f459ebaef \
+                    sha256  2c53078cce0c51691cbbc242110dc1ebb5438aabcaf6a66211f47d0fbdde2403
 
 depends_lib-append  port:kdelibs4
Index: /trunk/dports/kde/kdegraphics-strigi-analyzer/Portfile
===================================================================
--- /trunk/dports/kde/kdegraphics-strigi-analyzer/Portfile	(revision 99056)
+++ /trunk/dports/kde/kdegraphics-strigi-analyzer/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                kdegraphics-strigi-analyzer
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+ LGPL-2+
@@ -17,6 +17,6 @@
 use_xz              yes
 distname            kdegraphics-strigi-analyzer-${version}
-checksums           rmd160  d9e43f7a1939c01183bec1797017719f62c0758b \
-                    sha256  ab25b0dea8c8815a59a6478064fbbaa08da2199bef7f926aeec29e5d763e8843
+checksums           rmd160  01e4a525b09f18ec11b951a2de99aeca97dfb610 \
+                    sha256  d2debcdbaed0e2d700fb2540fbbc8cd6e1e6784db05e3679eef4251ab36ef095
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kdegraphics-thumbnailers/Portfile
===================================================================
--- /trunk/dports/kde/kdegraphics-thumbnailers/Portfile	(revision 99056)
+++ /trunk/dports/kde/kdegraphics-thumbnailers/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                kdegraphics-thumbnailers
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+ LGPL-2+
@@ -17,6 +17,6 @@
 use_xz              yes
 distname            kdegraphics-thumbnailers-${version}
-checksums           rmd160  ff3b7102e434b29bcadc0f82b6e7ce16ef97e0a0 \
-                    sha256  b483bdeb536b3dd0cd5ddf828b96b417c11303eb7ab271392c083272404b1a9f
+checksums           rmd160  43742bf4f8a299fd5418b77a7a9a1e020b2ae2ed \
+                    sha256  81069078a65d6051a9f0632d069a9da0e90a5c347f4d7672dc6c796fc44dce20
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kdegraphics4/Portfile
===================================================================
--- /trunk/dports/kde/kdegraphics4/Portfile	(revision 99056)
+++ /trunk/dports/kde/kdegraphics4/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                kdegraphics4
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         sharky michaelld nicos
Index: /trunk/dports/kde/kolourpaint/Portfile
===================================================================
--- /trunk/dports/kde/kolourpaint/Portfile	(revision 99056)
+++ /trunk/dports/kde/kolourpaint/Portfile	(revision 99057)
@@ -6,6 +6,5 @@
 
 name                kolourpaint
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             LGPL-2 LGPL-2+ BSD
@@ -18,6 +17,6 @@
 use_xz              yes
 distname            kolourpaint-${version}
-checksums           rmd160  f441d806eac5dad9681e99b3b92a4e7932785a78 \
-                    sha256  dd43c3d433ed55a0facbf0aef47f7b7a1ec1c8b9b1563f1adb6b3f11b186067c
+checksums           rmd160  6d996fca80f071a1c4a379dd9915eec5aa63276e \
+                    sha256  cea42d79a69e9580d2a2bc5a3df725ffaa99e2beb122ff2b276472427fe3c783
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kruler/Portfile
===================================================================
--- /trunk/dports/kde/kruler/Portfile	(revision 99056)
+++ /trunk/dports/kde/kruler/Portfile	(revision 99057)
@@ -6,6 +6,5 @@
 
 name                kruler
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -20,6 +19,6 @@
 distname            kruler-${version}
 
-checksums           rmd160  58c908b6f1122dc763b8707350da95b6907b3439 \
-                    sha256  100f0e56ba1e0f597003d6caa529f19009ecc87ec64862b0673e7fccefe04809
+checksums           rmd160  9804bad4a0c1fe18ee8cbd697b6ec2354325e9fb \
+                    sha256  3dc899e6e2b8322483fcf5328a47819d364e3c4e51af33745d3b310017aeea31
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/ksaneplugin/Portfile
===================================================================
--- /trunk/dports/kde/ksaneplugin/Portfile	(revision 99056)
+++ /trunk/dports/kde/ksaneplugin/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                ksaneplugin
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             {LGPL-2.1 LGPL-3}
@@ -17,6 +17,6 @@
 use_xz              yes
 distname            ksaneplugin-${version}
-checksums           rmd160  45bf84d19e8af3d190573d91e6445e55475e7dac \
-                    sha256  e45a51a653f41ed2e74305b473a2eb3cee294ba237cee7c86fe00d7a526a9e79
+checksums           rmd160  9988eb3e4d2fdefbd2e016a3e10849b1236b794d \
+                    sha256  31b564f578010e89f150a1679a28cb602180c3d3673f481e990e6d89b1385b7f
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/libkdcraw/Portfile
===================================================================
--- /trunk/dports/kde/libkdcraw/Portfile	(revision 99056)
+++ /trunk/dports/kde/libkdcraw/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                libkdcraw
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+ LGPL-2+
@@ -18,6 +18,6 @@
 use_xz              yes
 distname            libkdcraw-${version}
-checksums           rmd160  5b24b720de1db92d5df06ba51d83e7f1a12f3df1 \
-                    sha256  14604a0de89d98a23c1827cd26da77b95daf4fec018546cb0aabafd7ea2cbdf0
+checksums           rmd160  4dee54b9bbb013e8cb7c155c9d1eb4529a89ad53 \
+                    sha256  0d073382a4b753532a46126e4847a8da310e4bf69a60c72c6073082a6704b92a
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/libkexiv2/Portfile
===================================================================
--- /trunk/dports/kde/libkexiv2/Portfile	(revision 99056)
+++ /trunk/dports/kde/libkexiv2/Portfile	(revision 99057)
@@ -6,6 +6,5 @@
 
 name                libkexiv2
-version             4.8.3
-revision            1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+ LGPL-2+
@@ -20,6 +19,6 @@
 use_xz              yes
 distname            libkexiv2-${version}
-checksums           rmd160  9a26d6036acfafeda0eceaeb1c597f0175619284 \
-                    sha256  33909aa38aff7173115fa20d0d1c72801de976cb3f246a82a897acc91e0e0dee
+checksums           rmd160  2cd5183715341f16daab171d529b43be98eea19a \
+                    sha256  3a7639809d579511e4efd46761fd020f0f4c5fd91e23c8bd21766d551d51e393
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/libkipi/Portfile
===================================================================
--- /trunk/dports/kde/libkipi/Portfile	(revision 99056)
+++ /trunk/dports/kde/libkipi/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                libkipi
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+ LGPL-2+
@@ -20,6 +20,6 @@
 use_xz              yes
 distname            libkipi-${version}
-checksums           rmd160  e001bde0debb2aff59c0271cff2706f77bf415be \
-                    sha256  f954be760a4dbc642d4b6b54a3364e7f5f13cfde82eddddefc0ca6c4b3e0cbfe
+checksums           rmd160  673aa1ab59accf7900c4031a7c23dfc5abe9e8af \
+                    sha256  9a701bb612cd4244ff95777b1345382782703b15cfd7b88a0afaf7bba28a65df
 
 depends_lib-append  port:kdelibs4
Index: /trunk/dports/kde/libksane/Portfile
===================================================================
--- /trunk/dports/kde/libksane/Portfile	(revision 99056)
+++ /trunk/dports/kde/libksane/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                libksane
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+ LGPL-2+
@@ -18,6 +18,6 @@
 use_xz              yes
 distname            libksane-${version}
-checksums           rmd160  876608be5081a8cac94ae5122a6dd0396494dfc3 \
-                    sha256  ba77208cffe4b7615bfc40fc4b9bd05673f9e1084c2794790ffd32ea43bff38d
+checksums           rmd160  919021aba2c3f50e7535974b1057a323e4282b75 \
+                    sha256  74b2680ebe6dc59df3c2bce1e63c9c420f4d41ca08cb81239fa5f90313524726
 
 depends_lib-append  port:sane-backends \
Index: /trunk/dports/kde/mobipocket/Portfile
===================================================================
--- /trunk/dports/kde/mobipocket/Portfile	(revision 99056)
+++ /trunk/dports/kde/mobipocket/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                mobipocket
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -17,6 +17,6 @@
 use_xz              yes
 distname            kdegraphics-mobipocket-${version}
-checksums           rmd160  484ca7dcf499ad3ee266cc93c1970ff2a838146d \
-                    sha256  63b40959f8d064683fa6949d8c16b0f9465274347e4ff55a7cac8a86375bd534
+checksums           rmd160  ca75086cf35696e3ae86d297cd07931228abad71 \
+                    sha256  318901ffee242afe77c33ae18c1d279b8be855d0cc9d0784e9d17e3f0dd0e58a
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/okular/Portfile
===================================================================
--- /trunk/dports/kde/okular/Portfile	(revision 99056)
+++ /trunk/dports/kde/okular/Portfile	(revision 99057)
@@ -6,6 +6,5 @@
 
 name                okular
-version             4.8.3
-revision        1
+version             4.8.5
 categories          kde kde4
 license             GPL-2+ LGPL-2+
@@ -20,6 +19,6 @@
 use_xz              yes
 distname            okular-${version}
-checksums           rmd160  b839e9e61aff6229241fd8c4c6e2726563e69f78 \
-                    sha256  3dcc5f5b8a02eea14a28b4681d10f6f06240c0579135bb0252ae0e3caaaa8e79
+checksums           rmd160  a3c24490c150a1082c0d5b5da4844dd77bc15b31 \
+                    sha256  4121b734c3351ac443b4ca6fb23723c4e290168c69c8bb3dd992a83d4c6aa6b3
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/svgpart/Portfile
===================================================================
--- /trunk/dports/kde/svgpart/Portfile	(revision 99056)
+++ /trunk/dports/kde/svgpart/Portfile	(revision 99057)
@@ -6,5 +6,5 @@
 
 name                svgpart
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -18,6 +18,6 @@
 distname            svgpart-${version}
 
-checksums           rmd160  04e968c935d613df38cb55330b53887289805b9a \
-                    sha256  22cfb99d5038a1a63c7cc8470c9ad8a0d4389bd35ee716fe97680c28a842e5ae
+checksums           rmd160  db03e7f4fb2cce23bd0d4bdb1828c817b81a6e35 \
+                    sha256  300d33ee441bf903bee2a55c1f070f5c943e82e6f82c3231e9ef35ed041a1ab2
 
 depends_lib-append  port:kdelibs4