Index: /trunk/dports/kde/kdebindings4/Portfile
===================================================================
--- /trunk/dports/kde/kdebindings4/Portfile	(revision 99059)
+++ /trunk/dports/kde/kdebindings4/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                kdebindings4
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 maintainers         nicos openmaintainer
Index: /trunk/dports/kde/kimono/Portfile
===================================================================
--- /trunk/dports/kde/kimono/Portfile	(revision 99059)
+++ /trunk/dports/kde/kimono/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                kimono
-version             4.8.3
+version             4.8.5
 categories          kde kde4 devel
 platforms           darwin
@@ -20,6 +20,6 @@
 use_xz              yes
 
-checksums           rmd160  9277188c685cc239e97b8c0964737916fcba9ca9 \
-                    sha256  59dd60a56d5e2bf3b85a05aec68c6ec1a03e4a8ff9cd0035dc6a8a658008fca5
+checksums           rmd160  ee9933c3bd99dae1f0e21068b68e47a0035e9876 \
+                    sha256  b19550ec224bc75fb066ce840632385b81ff79601ca9ac42cab49e4e03daf68e
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/korundum/Portfile
===================================================================
--- /trunk/dports/kde/korundum/Portfile	(revision 99059)
+++ /trunk/dports/kde/korundum/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                korundum
-version             4.8.3
+version             4.8.5
 categories          kde kde4 devel
 platforms           darwin
@@ -22,6 +22,6 @@
 use_xz              yes
 
-checksums           rmd160  35fc44782ec52c6582fc667367b24f5a41c5befb \
-                    sha256  67c19260b229aa47c9c17a96e1712612d460359806f7f27c77a1cb458fd20502
+checksums           rmd160  2092088ca3c261d0d2a20851a4cede51f951d5e1 \
+                    sha256  c58d7c776c39bfdcf31a3323e55be63c8a0837e5b396eecfffed51fb017fd14c
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/kross-interpreters/Portfile
===================================================================
--- /trunk/dports/kde/kross-interpreters/Portfile	(revision 99059)
+++ /trunk/dports/kde/kross-interpreters/Portfile	(revision 99060)
@@ -6,7 +6,7 @@
 
 name                kross-interpreters
-version             4.8.3
+version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld
+maintainers         sharky michaelld nicos
 license             LGPL-2.1+
 description         WEB Development package for the K Desktop Environment.
@@ -21,6 +21,6 @@
 use_xz              yes
 
-checksums           rmd160  645309b75856f47a108f7bbfaa36757f9902b58c \
-                    sha256  43fdb448b7fdcfd1688846c88e19512efe71b7144fb3b7b466dbe9c69acdaa07
+checksums           rmd160  8f97b410f11ed2a74ea2fcdebfd14d7436606651 \
+                    sha256  42fd84e91af6c35b89259ed3ae45a1217652616c69c612c73a2f5d353e0460a6
 
 patchfiles          patch-CMakeLists.txt.diff
Index: /trunk/dports/kde/perlkde/Portfile
===================================================================
--- /trunk/dports/kde/perlkde/Portfile	(revision 99059)
+++ /trunk/dports/kde/perlkde/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                perlkde
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -17,6 +17,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  58a1d39f8da80c54f81d38cd246406a20609a751 \
-                    sha256  0e9a5b087fda274171095e21cbab507786fcaf66e0dd9fe003374e5051615598
+checksums           rmd160  a972ba20b2f69605b8e94588f57cf6817243c31b \
+                    sha256  bb87ba6e7cc555ad02a8d90218bea1e28c6a1a6fa24154800e7c413ea9160fc6
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/perlqt/Portfile
===================================================================
--- /trunk/dports/kde/perlqt/Portfile	(revision 99059)
+++ /trunk/dports/kde/perlqt/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                perlqt
-version             4.8.3
+version             4.8.5
 categories          kde kde4
 license             GPL-2+
@@ -18,6 +18,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  6ee2a208ca24a22219947ffe6136fc1181c76163 \
-                    sha256  3a8639f8203de435e79cee38a2bb58e1f1e0eb7c5d3d12163d57d5b542d839a8
+checksums           rmd160  f53c6e13ea7d9b5a51deac18d95c541deceff42a \
+                    sha256  8739a2f9191d6e087b9caa08f2eef8acba3f23c8d70f07ff3b68faede5c50462
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/qtruby/Portfile
===================================================================
--- /trunk/dports/kde/qtruby/Portfile	(revision 99059)
+++ /trunk/dports/kde/qtruby/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                qtruby
-version             4.8.3
+version             4.8.5
 categories          kde kde4 devel
 license             GPL-2+ LGPL-2.1+
@@ -19,6 +19,6 @@
 use_xz              yes
 distname            ${name}-${version}
-checksums           rmd160  f91ff2f15e7a3ca45010965d8bdba5fb0ef0efaf \
-                    sha256  595e44b2ba568cafcff1bba34d20e3b6f85fc2a65c96485ac2df824756ce7cb8
+checksums           rmd160  7e428825232304df5971e01365af4576bb463855 \
+                    sha256  3a78ca829c6a2cf1c394c408a2fc892d5072ca4997f11357ec8c20d78c94cb94
 
 depends_lib-append  port:smokegen \
Index: /trunk/dports/kde/qyoto/Portfile
===================================================================
--- /trunk/dports/kde/qyoto/Portfile	(revision 99059)
+++ /trunk/dports/kde/qyoto/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                qyoto
-version             4.8.3
+version             4.8.5
 categories          kde kde4 devel
 platforms           darwin
@@ -22,6 +22,6 @@
 use_xz              yes
 
-checksums           rmd160  6cf56023fd340dcf1d25cd12e2c037be8582c8df \
-                    sha256  56ea994cbe6f84cb613d1d4b91d0e60556ee82f8dcc385f55f2ed6e3e507196f
+checksums           rmd160  d55f4500a0b5383eceb7007ea532fbb1157ae198 \
+                    sha256  984157b7d754e89fc48161a02ddd5127be1b36a0962f442ce1c80222255dbf88
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/smokegen/Portfile
===================================================================
--- /trunk/dports/kde/smokegen/Portfile	(revision 99059)
+++ /trunk/dports/kde/smokegen/Portfile	(revision 99060)
@@ -6,7 +6,7 @@
 
 name                smokegen
-version             4.8.3
+version             4.8.5
 categories          kde kde4
-maintainers         sharky michaelld
+maintainers         sharky michaelld nicos
 license             GPL-2+ LGPL-2.1+
 description         Scripting Meta Object Kompiler Engine
@@ -21,6 +21,6 @@
 use_xz              yes
 
-checksums           rmd160  bfaf011566e5ba9f8584b9a66d710ef5800a9500 \
-                    sha256  ad313f355e64eb7578af7ea06da3a5fcb51b612099bb16e46fa472b1d784043a
+checksums           rmd160  b22f120412747429bc577a46306be19d140d898b \
+                    sha256  e46ebba05600bcc2a94cbffe2b7e078bc353cbbd481b1e4ff5c9ad8567aaf4fe
 
 livecheck.url       http://kde.mirrors.hoobly.com/stable/latest/src/
Index: /trunk/dports/kde/smokekde/Portfile
===================================================================
--- /trunk/dports/kde/smokekde/Portfile	(revision 99059)
+++ /trunk/dports/kde/smokekde/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                smokekde
-version             4.8.3
+version             4.8.5
 categories          kde kde4 devel
 platforms           darwin
@@ -22,6 +22,6 @@
 use_xz              yes
 
-checksums           rmd160  6517e5110949c4b35833f5020f7e1a8aafb28ab7 \
-                    sha256  f4335e178e42910a11604684ce0672c19afdd0e04eb0d8d7ab5c99d32106fe0a
+checksums           rmd160  cee792a4c3d2ecbb912cf0e494c7ba6cba13a1a3 \
+                    sha256  697cba604a9424e60b6617aa69f57557519d64734b562b7ca41745828f4f7703
 
 depends_lib-append  port:kdelibs4 \
Index: /trunk/dports/kde/smokeqt/Portfile
===================================================================
--- /trunk/dports/kde/smokeqt/Portfile	(revision 99059)
+++ /trunk/dports/kde/smokeqt/Portfile	(revision 99060)
@@ -6,5 +6,5 @@
 
 name                smokeqt
-version             4.8.3
+version             4.8.5
 categories          kde kde4 devel
 platforms           darwin
@@ -22,6 +22,6 @@
 use_xz              yes
 
-checksums           rmd160  6e9cf934e172d6b9c5f6b984e4c19f3ee70345d3 \
-                    sha256  aa0407f98416acd515f02be7ae587038cf025c3b44266d7506e4fc4b80efc2a6
+checksums           rmd160  eb018a91e0f2d800f2c47a24ef59c8a23801610b \
+                    sha256  30a635805ebf309c8d8e7a0c74de65d6b068f434b5e31816aac23f6e5eaa30f8
 
 depends_lib-append  port:smokegen \